package nc.impl.bm.bmdata;

import nc.bs.dao.BaseDAO;
import nc.bs.dao.DAOException;
import nc.bs.logging.Logger;
import nc.impl.hi.psndoc.PsndocDAO;
import nc.itf.hr.bm.bmdata.IBmToU9LogService;
import nc.vo.bm.sync.BmToU9LogHVO;
import nc.vo.wa.erp.WaToU9LogHVO;

public class BmToU9LogServiceImpl implements IBmToU9LogService {
    public BaseDAO dao;
    private PsndocDAO psndocDao;

    public BaseDAO getBaseDAO() {
        if (dao == null) {
            dao = new BaseDAO();
        }
        return dao;
    }

    /**
     * ־
     *
     * @param bmToU9LogHVO
     */
    @Override
    public void insertLog_RequiresNew(BmToU9LogHVO bmToU9LogHVO) {
        try {
            getBaseDAO().insertVO(bmToU9LogHVO);
        } catch (DAOException e) {
            Logger.error("====ͬ־쳣===" + e.getMessage());
        }
    }
}
