package nc.backgroudworkplugin;

import nc.bs.framework.common.NCLocator;
import nc.bs.logging.Log;
import nc.bs.pub.pa.PreAlertObject;
import nc.bs.pub.pa.PreAlertReturnType;
import nc.bs.pub.taskcenter.BgWorkingContext;
import nc.bs.pub.taskcenter.IBackgroundWorkPlugin;
import nc.itf.hr.bm.bmdata.IBmdataSyncService;
import nc.itf.hr.wa.erp.IWaToU9Service;
import nc.vo.pub.BusinessException;

import java.util.LinkedHashMap;

/**
 *  nc.backgroudworkplugin.TestBmsyncPlugin
 */
public class TestBmsyncPlugin implements IBackgroundWorkPlugin {

    private static Log Logger = Log.getInstance("TestMessagePlugin");


    @Override
    public PreAlertObject executeTask(BgWorkingContext bgWorkingContext) throws BusinessException {
        LinkedHashMap<String, Object> keyMap = bgWorkingContext.getKeyMap();
        PreAlertObject preAlertObject = new PreAlertObject();
        String pk_org = (String) keyMap.get("pk_org");//"0001A01000000000INYP";
        String pk_bm_class =(String) keyMap.get("pk_bm_class");// "1001A21000000002J432";
        String cyear =(String) keyMap.get("cyear");// "2023";
        String cperiod = (String) keyMap.get("cperiod");//"06";
        String push_type = (String) keyMap.get("push_type");//"" "; Ź ԤṤ        սս  籣籣  𴫹";
        String pk_group =(String) keyMap.get("pk_group");// "";
        String provision =(String) keyMap.get("provision");// "ȷ  Ź ս   ȷ      ";
        IBmdataSyncService iWaToU9Service = NCLocator.getInstance().lookup(IBmdataSyncService.class);
        iWaToU9Service.pushToU9(pk_group, pk_org, pk_bm_class, cyear, cperiod, push_type,provision);

        preAlertObject.setReturnType(PreAlertReturnType.RETURNMESSAGE);
        preAlertObject.setMsgTitle("Ŀ");
        preAlertObject.setReturnObj("a");
        return preAlertObject;
    }


}
